List tickets¶
Use /tickets to retrieve the summary of tickets created E.g., Missed pickup, Extra pickup on your account. A date range can be specified to retrieve the summary of tickets within those dates.To get details of a specific ticket see, ticket details api
URI¶
GET /api/v1/customers/{customerId}/tickets
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| fromDate | N | Date | query | Start date formatted as yyyy-MM-dd |
| toDate | N | Date | query | End date formatted as yyyy-MM-dd |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| tickets | Object | The ticket details |
| id | Number | Ticket Identifier |
| status | String | Ticket status (CLOSED, OPEN, VOIDED and PENDING) |
| load_type | String | Ticket type |
| load_description | String | Description associated with the ticket type |
| created_date_time | DateTime | Ticket creation date time |
| dispatch_date_time | DateTime | Ticket serviced date time |
| services_info | Object | Contains the services information |
| code | String | Waste Management defined 3 letter code for the type of service provided to the customer |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/tickets?fromDate=2015-06-08&toDate=2015-06-11
Sample Response¶
{ "request_tracking_id": "123", "tickets": [ { "id": "407519", "status": "CLOSED ", "load_type": "SNP", "load_description": "OP SNAPSHOT", "dispatch_date_time": "12/11/16 05:28:44", "created_date_time": "12/09/16 05:28:44", "services_info": [ { "code": "OFN" } ] }, { "id": "429120", "status": "CLOSED ", "load_type": "SNC", "load_description": "OP SNAPSHOT", "dispatch_date_time": "12/24/16 05:25:57", "created_date_time": "12/23/16 05:25:57", "services_info": [ { "code": "OFC" } ] } ]}